/*
** Thierry Roncalli
** Introduction to Risk Parity & Budgeting
**
**> Page 103 (Table 2.11)
**
*/

new;
library rpb,pgraph;

cls;

let sigma1 = 0.20;
let sigma2 = 0.20 0.60;
let b      = 0.20 0.49999 0.70 0.90;
let rho    = -0.5 0 0.25 0.50 0.75 0.90;
w = zeros(6,2*4);

j = 1;
do until j > 4;
  i = 1;
  do until i > 2;
    indx = (i-1)*4 + j;
    {w[.,indx],w2} = Compute_RB_2A(sigma1,sigma2[i],rho,b[j]);
    i = i + 1;
  endo;
  j = j + 1;
endo;

Results = (error(0)~(b'~b')) |
           rho~w;

print ftosa(100*Results,"%lf",3,1);